package cn.ibizlab.core.sample.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.core.sample.domain.IBIZSample0009;
import cn.ibizlab.core.sample.filter.IBIZSample0009SearchContext;

import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[IBIZSample0009] 服务对象接口
 */
public interface IIBIZSample0009Service extends IService<IBIZSample0009> {

    boolean create(IBIZSample0009 et);
    void createBatch(List<IBIZSample0009> list);
    boolean update(IBIZSample0009 et);
    void updateBatch(List<IBIZSample0009> list);
    boolean remove(String key);
    void removeBatch(Collection<String> idList);
    IBIZSample0009 get(String key);
    IBIZSample0009 getDraft(IBIZSample0009 et);
    boolean checkKey(IBIZSample0009 et);
    boolean save(IBIZSample0009 et);
    void saveBatch(List<IBIZSample0009> list);
    Page<IBIZSample0009> searchDefault(IBIZSample0009SearchContext context);
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

    List<IBIZSample0009> getIbizsample0009ByIds(List<String> ids);
    List<IBIZSample0009> getIbizsample0009ByEntities(List<IBIZSample0009> entities);
}


